# Class Facet

java.lang.Object
com.treemap.swing.fastvoronoi.convexhull.Face
com.treemap.swing.fastvoronoi.convexhull.Facet

public class Facet extends Face
A triangular facet of a 3D polytope. Facets contain a list of incident vertices and edges.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Facet(Vertex a, Vertex b, Vertex c)`
  `Facet(Vertex a, Vertex b, Vertex c, Vertex d)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `behind(Vertex test)`
  Is the given vertex in front of or behind this face?
  `void`
  `connect(Edge e)`
  `void`
  `connect(Facet adjacent, Vertex a, Vertex b)`
  `Edge`
  `getEdge(int index)`
  `int`
  `getEdgeCount()`
  `Edge`
  `getHorizonEdge()`
  `Edge`
  `getMatchingEdge(Vertex a, Vertex b)`
  `Vector`
  `getNormal()`
  `Vertex`
  `getVertex(int index)`
  `int`
  `getVertexCount()`
  `boolean`
  `isFilled()`
  Should this facet be shaded or should only the edges be drawn?
  `boolean`
  `isMarked()`
  Is this facet set to be removed?
  `void`
  `link(Edge e)`
  `void`
  `link(Facet f0, Vertex v0, Vertex v1)`
  Links the given face f0 with the edge between v0 and v1 with the current face
  `void`
  `orient(Vertex reference)`
  `void`
  `setFilled(boolean filled)`
  `void`
  `setMarked(boolean marked)`
  `String`
  `toString()`

  ### Methods inherited from class Face

  `getData, getIndex, isVisible, setData, setIndex, setVisible`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Facet

    public Facet(Vertex a, Vertex b, Vertex c)

  - ### Facet

    public Facet(Vertex a, Vertex b, Vertex c, Vertex d)

- ## Method Details

  - ### getNormal

    public Vector getNormal()

  - ### getVertex

    public Vertex getVertex(int index)

  - ### getVertexCount

    public int getVertexCount()

  - ### getEdge

    public Edge getEdge(int index)

  - ### getEdgeCount

    public int getEdgeCount()

  - ### isFilled

    public boolean isFilled()
    Should this facet be shaded or should only the edges be drawn?

  - ### setFilled

    public void setFilled(boolean filled)

  - ### isMarked

    public boolean isMarked()
    Is this facet set to be removed?

  - ### setMarked

    public void setMarked(boolean marked)

  - ### behind

    public boolean behind(Vertex test)
    Is the given vertex in front of or behind this face?

  - ### link

    public void link(Facet f0, Vertex v0, Vertex v1)
    Links the given face f0 with the edge between v0 and v1 with the current face

  - ### link

    public void link(Edge e)

  - ### connect

    public void connect(Facet adjacent, Vertex a, Vertex b)

  - ### connect

    public void connect(Edge e)

  - ### getMatchingEdge

    public Edge getMatchingEdge(Vertex a, Vertex b)

  - ### getHorizonEdge

    public Edge getHorizonEdge()

  - ### orient

    public void orient(Vertex reference)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`